local ActBossRankData = BaseClass("ActBossRankData")
local __init = function(self)
  self.uid = ""
  self.rank = -1
  self.score = 0
  self.unit = nil
end
local __delete = function(self)
  self.uid = nil
  self.rank = nil
  self.score = nil
  self.unit = nil
end
local ParseData = function(self, rank, score, unit, uid)
  if rank ~= nil then
    self.rank = rank
  end
  if score ~= nil then
    self.score = score
  end
  if unit ~= nil then
    self.unit = PBController.ParsePb1(unit, "protobuf.ArmyUnitInfo")
  end
  self.uid = uid
end
ActBossRankData.__init = __init
ActBossRankData.__delete = __delete
ActBossRankData.ParseData = ParseData
return ActBossRankData
